WG13 Issues - CIM Issues #6458

302, 457, Issues with different classes modelling the same behaviour WindGridMeasForProtection
and WindGridMeasForControl

07/01/2023 02:58 PM - Chavdar Ivanov

Status: Closed

Priority: Normal

Target version:

Author/Contact Info:  Chavdar lvanov Standard(s):

Base Release: Version:

Solution to be 18v05 Clause:

Applied To:

Solution Version: CIM18v05 Sub-Clause:

Solution Applied By: Chavdar Ivanov Paragraph:

Completion Date: 07/01/2023 Table:

CIM Keywords: Originally Closed in
Version:

Breaking Change: No Origination Date: 05/17/2023

Breaking Change Origination ID:

Description:

CIM Impacted WG13 Originally Assigned

Groups: To:

Requestor:

Description

| have encountered a strange design choice in the wind dynamics profile.

The WindGridMeasForProtection and WindGridMeasForControl classes are basically the same — they have the same parameters,
model the same dynamics module but can be used for different purposes, namely for protection or for control.

The question is, why do we have two different classes then?

Could we have one CIM class type (for example WindGridMeasurement) and associate two object instances of the same class to the
wind turbine dynamics model using different associations?

If we would have one single class type (WindGridMeasurement) we could then use for example:

« the WindTurbineType3or4lEC2. WindGridMeasForProtection association to assign a generic measurement to be used for
protection and

+ the WindTurbineType3or4lEC2.WindGridMeasForControl association to assign a generic measurement to be used for control

Proposed Solution
Use a single class and rely on the associations

Decision

Apply the change to have optimal modelling

Release Notes

The following changes are applied in 302 and 457

- rename class WindGridMeasForProtection to WindGridMeasurement and adapt the description

- move old associations from class WindGridMeasForControl to WindGridMeasurement and rename association role names
- delete class WindGridMeasForControl

History

#1 - 07/01/2023 02:59 PM - Chavdar Ilvanov

- Status changed from New to Open

#2 - 07/01/2023 02:59 PM - Chavdar Ilvanov

- Status changed from Open to Review
#3 - 07/01/2023 02:59 PM - Chavdar Ivanov

- Status changed from Review to Closed

#4 - 07/01/2023 03:00 PM - Chavdar Ivanov

- Release Notes updated

#5 - 07/05/2023 10:01 AM - Chavdar Ivanov
- Solution Version changed from 18v05 to CIM18v05
